Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86605 - ncurses requires sharutils
Summary: ncurses requires sharutils
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ncurses
Version: 8.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 11:47 UTC by Michael A. Peters
Modified: 2015-01-08 00:04 UTC (History)
2 users (show)

Fixed In Version: 5.3-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-29 15:40:18 UTC


Attachments (Terms of Use)

Description Michael A. Peters 2003-03-26 11:47:40 UTC
Description of problem:

I started going through the LFS project - bash would not statically compile.
Looked through their support list and found someone with the same problem
griping about how bad rpm was because he had that problem and it "fixed itself"
when he installed glibc-devel from the CD but that rpm had lied and told him
glibc-devel was already installed and he had to force install it - then it worked.

That made zero sense to me (I've been using RPM for awhile) - but thinking about
it, I though that perhaps the problem was ncurses-devel needing to be updated
for the glibc patch you guys just put out.

Installed the ncurses src.rpm, updated the release by one, built it, installed
it, all problems went away.

So - you probably need to update the ncurses rpm's so that people trying Linux
From Scratch can at least finish the first step - compiling static bash ;)

And while you are at it - add
BuildRequires: sharutils

to the ncurses spec file.

Comment 1 Eido Inoue 2003-03-26 19:09:59 UTC
As a part of the distro process the distro is normally rebuilt from scratch
numerous times. The scenario you're describing, though I think is unlikely (the
glibc modifcations should be compatible), is possible-- will check it out.

In the meantime, I *know* it will get rebuilt for the next release, so I'm
changing the summary to reflect part two of your bug report.


Comment 2 Thomas E. Dickey 2003-05-18 00:36:01 UTC
ncurses doesn't depend on sharutils.
without loss of redundancy, it doesn't depend on Fortran, CORBA or other things that are
obviously unrelated.

Comment 3 Michael A. Peters 2003-05-18 22:29:30 UTC
rpmbuild -bb ncurses.spec
< build completes just fine>
rpm -e sharutils
< remove sharutils package >
rpmbuild -bb ncurses.spec

output -
+ zcat /home/mpeters/rpm/SOURCES/patch-5.2-20020216.sh.gz
+ sh
patching...
sh: line 4261: uudecode: command not found
gzip: ncurses-5.2-20020216.tar.gz: No such file or directory
gzip: ncurses-5.2-20020216.tar.gz: No such file or directory
sh: line 18666: uudecode: command not found
gzip: ncurses-5.2-20020216.patch.gz: No such file or directory
+ echo 'Patch #2 (ncurses-5.2-20020218.patch.gz):'
Patch #2 (ncurses-5.2-20020218.patch.gz):
+ /bin/gzip -d
+ patch -p1 -s
This file doesn't appear to be the 1.670 version -- patch anyway? [n]

(waits for input - bad exits if you hit enter, hunks fail if you respond y)

up2date -i sharutils
(sharutils installs)

rpmbuild -bb ncurses.spec

ncurse rpm builds, no prompts or issues.

-=-
That is what a BuildRequires tag is for, correct?

Sorry to be so synicle - but before saying sharutils isn't needed as a
BuildRequires (it isn't to run the software) - try removing sharutils and
building Red Hat's spec file.

Comment 4 Thomas E. Dickey 2003-05-18 22:48:45 UTC
not exactly - I hadn't noticed that uudecode was tacked onto sharutils,
and since the bug report omitted detail, I couldn't guess.
Alternatively, you could use the bzip2'd patch.

Comment 5 Eido Inoue 2003-07-29 15:40:18 UTC
There is a BuildRequires for sharutils in 5.3-5


Note You need to log in before you can comment on or make changes to this bug.